- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/courses/getGradingPeriodSettings#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses/getGradingPeriodSettings#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses/getGradingPeriodSettings#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses/getGradingPeriodSettings#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses/getGradingPeriodSettings#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/courses/getGradingPeriodSettings#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/courses/getGradingPeriodSettings#try-it)

Returns the grading period settings in a course.

This method returns the following error codes:

- `PERMISSION_DENIED` if the requesting user isn't permitted to access the grading period settings in the requested course or for [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `NOT_FOUND` if the requested course does not exist.

### HTTP request

`GET https://classroom.googleapis.com/v1/courses/{courseId}/gradingPeriodSettings`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `courseId` | `string` Required. The identifier of the course. |

### Query parameters

| Parameters ||
|---|---|
| `previewVersion` | ``enum (`https://developers.google.com/workspace/classroom/reference/rest/v1/PreviewVersion`)`` Optional. The preview version of the API. This must be set in order to access new API capabilities made available to developers in the Preview Program. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/classroom/reference/rest/v1/GradingPeriodSettings`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/classroom.courses`
- `
  https://www.googleapis.com/auth/classroom.courses.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).